Bug 5665 - Make qgtkstylealt Qt4 style available outside KDE4
: Make qgtkstylealt Qt4 style available outside KDE4
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-30 07:18 MSD by Andrey Bondrov
Modified: 2015-06-09 15:11 MSD (History)
2 users (show)

See Also:
RPM Package: qgtkstylealt
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-05-30 07:18:36 MSD
In Plasma 5 (and possibly other DEs) qt4-qtconfig doesn't list qgtkstylealt. We should symlink qgtkstylealt.so to qt4/plugins/styles to fix it.

To test you can try to use Plasma 5 ISOs:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/137/product_build_lists/11403

Then install qt4-qtconfig package and run qtconfig.
Comment 1 Andrey Bondrov 2015-05-30 07:19:07 MSD
Advisory: "Make qgtkstylealt Qt4 style available outside KDE4"

https://abf.rosalinux.ru/build_lists/2505647
https://abf.rosalinux.ru/build_lists/2505648
Comment 2 Andrey Bondrov 2015-05-31 20:31:54 MSD
BTW, make sure to have adwaita-gtk2-theme package installed. Otherwise you may get "QGtkStyle cannot be used together with the GTK_Qt engine" error.
Comment 3 Andrey Bondrov 2015-06-04 18:23:20 MSD
Please use 11501 ISO instead:

https://abf.rosalinux.ru/platforms/rosa2014.1/products/137/product_build_lists/11501
Comment 4 Vladimir Potapov 2015-06-04 19:16:31 MSD
The update is sent to expanded testing
**************************************
Comment 5 Andrey Bondrov 2015-06-04 20:04:23 MSD
Advisory: "Make qgtkstylealt Qt4 style available outside KDE4. Make sure adwaita-gtk2-theme is installed, it's required by qgtkstylealt style"

https://abf.rosalinux.ru/build_lists/2507298
https://abf.rosalinux.ru/build_lists/2507299
Comment 6 Vladimir Potapov 2015-06-04 22:37:07 MSD
(In reply to comment #5)
> Advisory: "Make qgtkstylealt Qt4 style available outside KDE4. Make sure
> adwaita-gtk2-theme is installed, it's required by qgtkstylealt style"
> 
> https://abf.rosalinux.ru/build_lists/2507298
> https://abf.rosalinux.ru/build_lists/2507299

The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2015-06-09 14:37:10 MSD
qgtkstylealt-0.1.5-6
https://abf.rosalinux.ru/build_lists/2507298
https://abf.rosalinux.ru/build_lists/2507299
***************************** Advisory *******************************
Make qgtkstylealt Qt4 style available outside KDE4. Make sure adwaita-gtk2-theme is installed, it's required by qgtkstylealt style
**********************************************************************
QA Verified